#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		svers		2.91
#-----------------------------------------------------------------------------
Name		:	dconf-editor
Version		:	45.0.1
Release		:	14.8.0.0%{?dist}
Summary		:	Configuration editor for dconf

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://download.gnome.org/sources/dconf-editor

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dconf
BuildRequires	:	desktop-file-utils
BuildRequires	:	libappstream-glib
BuildRequires	:	libhandy-devel
BuildRequires	:	glib-devel
BuildRequires	:	gtk3+
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	vala

Requires	:	dconf		>= 0.40.0
Requires	:	glib
Requires	:	gtk3+

#-----------------------------------------------------------------------------
%description
Graphical tool for editing the dconf configuration database.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/ca.desrt.%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/dbus-1/services/ca.desrt.%{name}.service
%{_datadir}/glib-2.0/schemas/ca.desrt.%{name}.gschema.xml
%{_datadir}/icons/hicolor/scalable/actions/ca.desrt.%{name}*.svg
%{_datadir}/icons/hicolor/scalable/apps/ca.desrt.%{name}*.svg
%{_datadir}/icons/hicolor/symbolic/apps/ca.desrt.%{name}*.svg
%{_datadir}/metainfo/ca.desrt.%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.gz

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
meson							\
	setup						\
	--buildtype=release				\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	_bld

meson							\
	compile						\
		-C _bld					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


DESTDIR=%{buildroot}					\
meson							\
	install						\
		-C _bld					\

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
